<template>
  <v-app id="app">
    <v-navigation-drawer
      width="210"
      style="background: #dfdfdf;"
      app
      left
      color="#aeaee6"
      v-model="drawer"
    >
      <h3 class="menu-title">Financa</h3>
      <v-list dense nav>
        <template v-for="item in items">
          <v-list-item-group v-if="!item.divider" :key="item.text">
            <v-list-item :to="item.link" link exact>
              <v-icon left>{{ item.icon }}</v-icon>
              <v-list-item-title>{{ item.text }}</v-list-item-title>
            </v-list-item>
          </v-list-item-group>
          <v-divider v-if="item.divider" :key="item.text" class="my-4" />
        </template>
      </v-list>
    </v-navigation-drawer>
    <v-app-bar
      flat
      app
      style="border-bottom: 1px solid #f0f0f0 !important;"
      color="white"
    >
      <div class="wrapper">
        <div class="top-left">
          <v-app-bar-nav-icon @click="drawer = !drawer" />
          <portal-target name="destination"></portal-target>
        </div>
        <div class="top-right">
          <portal-target name="cto-topmenu"></portal-target>
          <v-icon class="ml-4">mdi-magnify</v-icon>
          <v-chip class="ma-2 pl-5 pr-5" color="#dfdfdf">
            <v-icon small>mdi-account-circle-outline</v-icon>
            <p class="pl-1 pr-1 business-sector">{{ businessSector }}</p>
          </v-chip>
        </div>
      </div>
    </v-app-bar>
    <v-main>
      <v-container fluid>
        <router-view />
      </v-container>
    </v-main>
  </v-app>
</template>

<script lang="ts">
import { Vue, Component } from 'vue-property-decorator'
import { businessSector } from '@/plugins/api'

@Component({})
export default class App extends Vue {
  drawer?: boolean = true
  businessSector = businessSector
  items: Array<object> = [
    {
      text: 'Klientet',
      link: '/clients',
      icon: 'mdi-wallet',
    },
    {
      text: 'Llogaritë',
      link: '/accounts',
      icon: 'mdi-wallet',
    },
    {
      text: 'devider3',
      divider: true,
    },
    {
      text: 'Bankat',
      link: '/banks',
      icon: 'mdi-bank',
    },
    {
      text: 'Mandati i Arkëtimit',
      link: '/clients/receipts',
      icon: 'mdi-newspaper-plus',
    },
  ]
}
</script>

<style>
.wrapper {
  display: flex;
  width: 100%;
  align-items: center;
  justify-content: space-between;
}
.top-left {
  display: flex;
  align-items: center;
}
.top-right {
  display: flex;
  align-items: center;
}
.app-title {
  padding-left: 15px;
  font-size: 18px;
  font-family: 'Roboto', sans-serif;
}
.business-sector {
  padding-top: 15px;
  font-weight: 500;
}
.app-title {
  padding-left: 15px;
  font-size: 18px;
  font-family: 'Roboto', sans-serif;
}
.menu-title {
  display: flex;
  align-items: center;
  justify-items: center;
  height: 64px;
  margin: 0px 0px 0px 15px;
  padding: 0px;
}
.tree-arrow.has-child {
  width: 15px !important;
  margin-left: 0 !important;
}

.tree-arrow {
  margin-left: 15px !important;
}
.tree-children {
  padding-left: 0 !important;
}
</style>
